cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chandan Purushothama (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (CLOUDSTACK-7019) [Automation] type object 'TestListAffinityGroups' has no attribute '_TestListAffinityGroups__cleanup
Date Tue, 09 Sep 2014 19:24:28 GMT

     [ https://issues.apache.org/jira/browse/CLOUDSTACK-7019?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Chandan Purushothama closed CLOUDSTACK-7019.
--------------------------------------------

Closing the bug as it is no longer seen in automation run.

> [Automation] type object 'TestListAffinityGroups' has no attribute '_TestListAffinityGroups__cleanup
> ----------------------------------------------------------------------------------------------------
>
>                 Key: CLOUDSTACK-7019
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-7019
>             Project: CloudStack
>          Issue Type: Test
>      Security Level: Public(Anyone can view this level - this is the default.) 
>          Components: Automation, Test
>    Affects Versions: 4.4.0
>            Reporter: Chandan Purushothama
>            Assignee: Ashutosk Kelkar
>            Priority: Critical
>             Fix For: 4.4.0
>
>
> ==============
> Bug in test script:
> ==============
>     @classmethod
>     def tearDownClass(cls):
>         try:
>             cls.api_client = super(TestListAffinityGroups, cls).getClsTestClient().getApiClient()
>             #Clean up, terminate the created templates
>             cleanup_resources(cls.api_client, cls.__cleanup)  ----> BUG: It should
be cls._cleanup
>         except Exception as e:
>             raise Exception("Warning: Exception during cleanup : %s" % e)
> ============
> Error Message
> ============
> Warning: Exception during cleanup : type object 'TestListAffinityGroups' has no attribute
'_TestListAffinityGroups__cleanup'
> -------------------- >> begin captured logging << --------------------
> test_07_list_all_vms_in_aff_grp (integration.component.test_affinity_groups.TestListAffinityGroups):
CRITICAL: EXCEPTION: test_07_list_all_vms_in_aff_grp: ['Traceback (most recent call last):\n',
'  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 227, in run\n    self.tearDown()\n',
'  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 350, in tearDown\n  
 self.teardownContext(ancestor)\n', '  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py",
line 366, in teardownContext\n    try_run(context, names)\n', '  File "/usr/local/lib/python2.7/dist-packages/nose/util.py",
line 470, in try_run\n    return func()\n', '  File "/home/jenkins/workspace/xenrt-reg-adv-xs/cloudstack.git/test/integration/component/test_affinity_groups.py",
line 351, in tearDownClass\n    raise Exception("Warning: Exception during cleanup : %s" %
e)\n', "Exception: Warning: Exception during cleanup : type object 'TestListAffinityGroups'
has no attribute '_TestListAffinityGroups__cleanup'\n"]
> --------------------- >> end captured logging << ---------------------
> Stacktrace
>   File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 227, in run
>     self.tearDown()
>   File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 350, in tearDown
>     self.teardownContext(ancestor)
>   File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 366, in teardownContext
>     try_run(context, names)
>   File "/usr/local/lib/python2.7/dist-packages/nose/util.py", line 470, in try_run
>     return func()
>   File "/home/jenkins/workspace/xenrt-reg-adv-xs/cloudstack.git/test/integration/component/test_affinity_groups.py",
line 351, in tearDownClass
>     raise Exception("Warning: Exception during cleanup : %s" % e)
> 'Warning: Exception during cleanup : type object \'TestListAffinityGroups\' has no attribute
\'_TestListAffinityGroups__cleanup\'\n-------------------- >> begin captured logging
<< --------------------\ntest_07_list_all_vms_in_aff_grp (integration.component.test_affinity_groups.TestListAffinityGroups):
CRITICAL: EXCEPTION: test_07_list_all_vms_in_aff_grp: [\'Traceback (most recent call last):\\n\',
\'  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 227, in run\\n    self.tearDown()\\n\',
\'  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 350, in tearDown\\n
   self.teardownContext(ancestor)\\n\', \'  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py",
line 366, in teardownContext\\n    try_run(context, names)\\n\', \'  File "/usr/local/lib/python2.7/dist-packages/nose/util.py",
line 470, in try_run\\n    return func()\\n\', \'  File "/home/jenkins/workspace/xenrt-reg-adv-xs/cloudstack.git/test/integration/component/test_affinity_groups.py",
line 351, in tearDownClass\\n    raise Exception("Warning: Exception during cleanup : %s"
% e)\\n\', "Exception: Warning: Exception during cleanup : type object \'TestListAffinityGroups\'
has no attribute \'_TestListAffinityGroups__cleanup\'\\n"]\n--------------------- >>
end captured logging << ---------------------'



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message